
#ifndef __PINS_H__
#define __PINS_H__

/*
  This file defines the pin assignments used by the Propeller controller for the Four-Bot
  
  Written by Keith Hoard
*/


// Prop pins used to control the L298N Motor Controllers.  They are connected to the ESC output 
// pins of the HoverFly board which are 5V level shifted out.

#define PIN_MOTOR_DIR_FL  1
#define PIN_MOTOR_SPD_FL  30

#define PIN_MOTOR_DIR_FR  31
#define PIN_MOTOR_SPD_FR  0

#define PIN_MOTOR_DIR_RL  27
#define PIN_MOTOR_SPD_RL  26

#define PIN_MOTOR_DIR_RR  3
#define PIN_MOTOR_SPD_RR  2
 
// Prop pins used to read the optical encoders on each wheel.  The encoders are powered from the board
// 3.3V supply, so these pins are 3.3V read only pins.

#define PIN_MOTOR_ENCODER_FL  22
#define PIN_MOTOR_ENCODER_FR  23
#define PIN_MOTOR_ENCODER_RL  25
#define PIN_MOTOR_ENCODER_RR  24

// PING Sensor pins

#define PIN_PING_TRIG  9
#define PIN_PING_ECHO  8

// ILI9349C Display

#define PIN_DISPLAY_MOSI  20
#define PIN_DISPLAY_MISO  21

// SD Card Pins  **Not yet connected**

#define PIN_SD_CARD_CS    XX
#define PIN_SD_CARD_SDCS  XX

// Pins for the three color LED

#define PIN_LED_BLUE  4
#define PIN_LED_RED  5
#define PIN_LED_GREEN  6

// Pin for buzzer

#define PIN_BUZZER  7
#endif

